#include <iostream>
#include <stdio.h>
#include <stdlib.h>

using namespace std;

int main()
{
    long n,i,k;
    scanf("%d",&n);
    double a[n][2];
    double b[n];
    int j;
    double suma=0,br;
    for (i = 0; i < n; i++)
    {
        for (j = 0; j < 2; j++)
        {
            scanf("%lf", &a[i][j]);
        }
    }
    for (i = 0; i < n; i++)
    {
        br = a[i][1];
        for (k = 0; k < n; k++)
        {
            if(a[k][1]>=br) suma +=a[k][0];
        }
        suma = suma*br/100;
        b[i] = suma;
        suma = 0;
    }
    double m = b[0];
    for(i = 1; i < n; i++)
    {
        if(b[i]>m) m = b[i];
    }
    printf("%lf",m);
}